import request from '@/utils/request'

// 查询巡检异常列表
export function listAbnormal(query) {
  return request({
    url: '/inspection/abnormal/list',
    method: 'get',
    params: query
  })
}

// 查询巡检异常详细
export function getAbnormal(id) {
  return request({
    url: '/inspection/abnormal/' + id,
    method: 'get'
  })
}

// 新增巡检异常
export function addAbnormal(data) {
  return request({
    url: '/inspection/abnormal',
    method: 'post',
    data: data
  })
}

// 修改巡检异常
export function updateAbnormal(data) {
  return request({
    url: '/inspection/abnormal',
    method: 'put',
    data: data
  })
}

// 删除巡检异常
export function delAbnormal(id) {
  return request({
    url: '/inspection/abnormal/' + id,
    method: 'delete'
  })
}
